Last modified: 2014-01-09 14:12:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46616 - ProofreadPage extension needs to be refactored
ProofreadPage extension needs to be refactored
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ProofreadPage (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Aarti Dwivedi
aklapper-moreinfo
:
Depends on: 46578
Blocks: code_quality Wikisource 46580
  Show dependency treegraph
 
Reported: 2013-03-27 21:19 UTC by Quim Gil
Modified: 2014-01-09 14:12 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Quim Gil 2013-03-27 21:19:50 UTC
This request has been copied from Tpt's proposal at https://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects

"The Proofread Page extension is an old extension developed by the Wikisource community that manage the Wikisource Proofreading system. It needs some love in order to make it use new technologies of MediaWiki core and to integrate it into the Visual Editor. Here is a list of some tasks that should be done:

* Refactoring of the extension code by splitting the very big file ProofreadPage.body.php that do too much things into specific classes what will be more easily testable. Write unit tests for them.
    
* Refactoring of the JavaScript module that manages edition of Page: and make it compatible with the Visual Editor. This includes:
        * for wikitext editing system a full rewrite in order to make the code readable and testable. The tasks would be:
            * move to server part of the extension things that can be done by it as it have been done for Index: pages.
            * use libraries packaged with MediaWiki like JQuery when possible.
            * find and use a good free JS library for zooming into scans in order to improve the current zoom feature that might be enhanced.
        * work with the Visual Editor team in order to make the Visual Editor 
    * work with Page: pages (bugzilla). The first step is to make the body of the page editable, then the proofreading level and, if it's possible, header and footer.

* Add modules to the Visual Editor to support specific tags used by Wikisource like <pages>, <section> and <poem>.

* Allows to edit using the Visual Editor textareas of the Index: pages form."
Comment 1 Quim Gil 2013-03-27 21:45:15 UTC
This request is now listed at 

https://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects#Proofread_Page_extension_needs_to_be_refactored

We will feature it as a project idea for Google Summer of Code and the Outreach Program for Women.
Comment 2 Aarti Dwivedi 2013-04-24 14:56:16 UTC
https://bugzilla.wikimedia.org/show_bug.cgi?id=37836

ProofreadPage uses too many global variables. I suppose we could count this issue also while we are on this project.
Comment 3 Quim Gil 2013-04-27 04:36:54 UTC
Just a note to say that Aarti Dwivedi has submitted a proposal related to this report for Google Summer of Code and Outreach Program for Women.

https://www.mediawiki.org/wiki/User:Rtdwivedi#GSoC_2013_Proposal
Comment 4 Aarti Dwivedi 2013-06-11 15:52:56 UTC
Update: Proposal has been accepted. I have started coding and the first change is here -> https://gerrit.wikimedia.org/r/#/c/67632/
The progress can be tracked at https://www.mediawiki.org/wiki/Extension:Proofread_Page/GSoC
Comment 5 Quim Gil 2013-09-17 16:11:14 UTC
GSoC "soft pencils down" date was yesterday and all coding must stop on 23 September. Has this project been completed?
Comment 6 Aarti Dwivedi 2013-09-18 15:46:46 UTC
The refactoring part is done. The changes are on pagePagesRefactoring branch. The branch will be merged to master.
Comment 7 Quim Gil 2013-10-22 19:34:17 UTC
If you have open tasks or bugs left, one possibility is to list them at https://www.mediawiki.org/wiki/Google_Code-In and volunteer yourself as mentor.

We have heard from Google and free software projects participating in Code-in that students participating in this programs have done a great work finishing and polishing GSoC projects, many times mentores by the former GSoC student. The key is to be able to split the pending work in little tasks.

More information in the wiki page. If you have questions you can ask there or you can contact me directly.
Comment 8 Quim Gil 2013-12-17 19:53:41 UTC
Hi, what is missing to resolve this report as FIXED?
Comment 9 Andre Klapper 2014-01-09 14:07:02 UTC
Tpt / Aarti: What is missing here?
Comment 10 Tpt 2014-01-09 14:12:04 UTC
The parts of the code mentioned in the first comment are refactored now so I think we may close the bug even if some background work remains to do.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links